## ldb 0.9.13~git20100908

=== lib/replace/wscript ===
#!/usr/bin/env python

APPNAME = 'libreplace'
VERSION = '1.2.1'

blddir = 'bin'

import sys, os, Utils

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = '../' + srcdir
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import wafsamba, samba_dist
import Options, os, preproc

samba_dist.DIST_DIRS('lib/replace buildtools:buildtools')

def set_options(opt):
    opt.BUILTIN_DEFAULT('NONE')
    opt.BUNDLED_EXTENSION_DEFAULT('')
    opt.RECURSE('buildtools/wafsamba')

@wafsamba.runonce
def configure(conf):
    conf.RECURSE('buildtools/wafsamba')

    conf.DEFINE('LIBREPLACE_NETWORK_CHECKS', 1)

    # on Tru64 certain features are only available with _OSF_SOURCE
    if conf.env['SYSTEM_UNAME_SYSNAME'] == 'OSF1':
        conf.DEFINE('_OSF_SOURCE', 1, add_to_cflags=True)

    conf.CHECK_HEADERS('crypt.h locale.h acl/libacl.h compat.h')
    conf.CHECK_HEADERS('acl/libacl.h attr/xattr.h compat.h ctype.h dustat.h')
    conf.CHECK_HEADERS('fcntl.h fnmatch.h glob.h history.h krb5.h langinfo.h')
    conf.CHECK_HEADERS('libaio.h locale.h ndir.h pwd.h')
    conf.CHECK_HEADERS('shadow.h sys/acl.h')
    conf.CHECK_HEADERS('sys/attributes.h sys/capability.h sys/dir.h sys/epoll.h')
    conf.CHECK_HEADERS('sys/fcntl.h sys/filio.h sys/filsys.h sys/fs/s5param.h sys/fs/vx/quota.h')
    conf.CHECK_HEADERS('sys/id.h sys/ioctl.h sys/ipc.h sys/mman.h sys/mode.h sys/ndir.h sys/priv.h')
    conf.CHECK_HEADERS('sys/resource.h sys/security.h sys/shm.h sys/statfs.h sys/statvfs.h sys/termio.h')
    conf.CHECK_HEADERS('sys/vfs.h sys/xattr.h termio.h termios.h sys/file.h')
    conf.CHECK_HEADERS('sys/wait.h sys/stat.h malloc.h grp.h')
    conf.CHECK_HEADERS('sys/select.h setjmp.h utime.h sys/syslog.h syslog.h')
    conf.CHECK_HEADERS('stdarg.h vararg.h sys/mount.h mntent.h')
    conf.CHECK_HEADERS('stropts.h unix.h string.h strings.h sys/param.h limits.h')
    conf.CHECK_HEADERS('''sys/socket.h netinet/in.h netdb.h arpa/inet.h netinet/in_systm.h
                          netinet/ip.h netinet/tcp.h netinet/in_ip.h
                          sys/sockio.h sys/un.h''', together=True)
    conf.CHECK_HEADERS('sys/uio.h ifaddrs.h direct.h dirent.h')
    conf.CHECK_HEADERS('windows.h winsock2.h ws2tcpip.h')
    conf.CHECK_HEADERS('libintl.h errno.h')
    conf.CHECK_HEADERS('gcrypt.h getopt.h iconv.h')
    conf.CHECK_HEADERS('sys/inotify.h memory.h nss.h sasl/sasl.h')
    conf.CHECK_HEADERS('security/pam_appl.h sys/inotify.h zlib.h asm/unistd.h')
    conf.CHECK_HEADERS('aio.h sys/unistd.h rpc/rpc.h rpc/nettype.h alloca.h float.h')

    conf.CHECK_HEADERS('rpcsvc/nis.h rpcsvc/ypclnt.h sys/prctl.h sys/sysctl.h')
    conf.CHECK_HEADERS('sys/fileio.h sys/filesys.h sys/dustat.h sys/sysmacros.h')
    conf.CHECK_HEADERS('xfs/libxfs.h netgroup.h rpcsvc/yp_prot.h')
    conf.CHECK_HEADERS('valgrind.h valgrind/valgrind.h valgrind/memcheck.h')
    conf.CHECK_HEADERS('nss_common.h nsswitch.h ns_api.h')
    conf.CHECK_HEADERS('sys/extattr.h sys/ea.h sys/proplist.h sys/cdefs.h')
    conf.CHECK_HEADERS('utmp.h utmpx.h lastlog.h')
    conf.CHECK_HEADERS('syscall.h sys/syscall.h inttypes.h')

    conf.CHECK_TYPES('"long long" intptr_t uintptr_t ptrdiff_t')
    conf.CHECK_TYPES('comparison_fn_t bool')
    conf.CHECK_TYPE('_Bool', define='HAVE__Bool')

    conf.CHECK_TYPE('int8_t', 'char')
    conf.CHECK_TYPE('int16_t', 'short')
    conf.CHECK_TYPE('uint16_t', 'unsigned short')
    conf.CHECK_TYPE('int32_t', 'int')
    conf.CHECK_TYPE('uint32_t', 'unsigned')
    conf.CHECK_TYPE('int64_t', 'long long')
    conf.CHECK_TYPE('uint64_t', 'unsigned long long')
    conf.CHECK_TYPE('size_t', 'unsigned int')
    conf.CHECK_TYPE('ssize_t', 'int')
    conf.CHECK_TYPE('ino_t', 'unsigned')
    conf.CHECK_TYPE('loff_t', 'off_t')
    conf.CHECK_TYPE('bool', 'off_t')
    conf.CHECK_TYPE('offset_t', 'loff_t')
    conf.CHECK_TYPE('volatile int', define='HAVE_VOLATILE')
    conf.CHECK_TYPE('uint_t', 'unsigned int')

    conf.CHECK_TYPES('socklen_t', headers='sys/socket.h')
    conf.CHECK_TYPE_IN('struct ifaddrs', 'ifaddrs.h')
    conf.CHECK_TYPE_IN('struct addrinfo', 'netdb.h')
    conf.CHECK_TYPE_IN('struct sockaddr', 'sys/socket.h')
    conf.CHECK_CODE('struct sockaddr_in6 x', define='HAVE_STRUCT_SOCKADDR_IN6',
                    headers='sys/socket.h netdb.h netinet/in.h')
    conf.CHECK_TYPE_IN('struct sockaddr_storage', 'sys/socket.h')
    conf.CHECK_TYPE_IN('sa_family_t', 'sys/socket.h')

    conf.CHECK_TYPE_IN('sig_atomic_t', 'signal.h', define='HAVE_SIG_ATOMIC_T_TYPE')

    conf.CHECK_FUNCS_IN('''inet_ntoa inet_aton inet_ntop inet_pton connect gethostbyname
                           getaddrinfo getnameinfo freeaddrinfo gai_strerror socketpair''',
                        'socket nsl', checklibc=True,
                        headers='sys/socket.h netinet/in.h arpa/inet.h netdb.h')

    # Some old Linux systems have broken header files and
    # miss the IPV6_V6ONLY define in netinet/in.h,
    # but have it in linux/in6.h.
    # We can't include both files so we just check if the value
    # if defined and do the replacement in system/network.h
    if not conf.CHECK_VARIABLE('IPV6_V6ONLY',
                               headers='sys/socket.h netdb.h netinet/in.h'):
        conf.CHECK_CODE('''
                        #include <linux/in6.h>
                        #if (IPV6_V6ONLY != 26)
                        #error no IPV6_V6ONLY support on linux
                        #endif
                        int main(void) { return IPV6_V6ONLY; }
                        ''',
                        define='HAVE_LINUX_IPV6_V6ONLY_26',
                        addmain=False,
                        msg='Checking for IPV6_V6ONLY in linux/in6.h',
                        local_include=False)

    conf.CHECK_CODE('''
                       struct sockaddr_storage sa_store;
                       struct addrinfo *ai = NULL;
                       struct in6_addr in6addr;
                       int idx = if_nametoindex("iface1");
                       int s = socket(AF_INET6, SOCK_STREAM, 0);
                       int ret = getaddrinfo(NULL, NULL, NULL, &ai);
                       if (ret != 0) {
			  const char *es = gai_strerror(ret);
                       }
                       freeaddrinfo(ai);
                       {
                          int val = 1;
                          #ifdef HAVE_LINUX_IPV6_V6ONLY_26
                          #define IPV6_V6ONLY 26
                          #endif
                          ret = setsockopt(s, IPPROTO_IPV6, IPV6_V6ONLY,
                                           (const void *)&val, sizeof(val));
                       }
                       ''',
                    define='HAVE_IPV6',
                    lib='nsl socket',
                    headers='sys/socket.h netdb.h netinet/in.h')

    # these may be builtins, so we need the link=False strategy
    conf.CHECK_FUNCS('strdup memmem printf memset memcpy memmove strcpy strncpy bzero', link=False)

    conf.CHECK_FUNCS('shl_load shl_unload shl_findsym')
    conf.CHECK_FUNCS('pipe strftime srandom random srand rand usleep setbuffer')
    conf.CHECK_FUNCS('lstat getpgrp utime utimes seteuid setresuid setegid')
    conf.CHECK_FUNCS('setresgid chroot strerror vsyslog setlinebuf mktime')
    conf.CHECK_FUNCS('ftruncate chsize rename waitpid wait4 strlcpy strlcat')
    conf.CHECK_FUNCS('initgroups pread pwrite strndup strcasestr')
    conf.CHECK_FUNCS('strtok_r mkdtemp dup2 dprintf vdprintf isatty chown lchown')
    conf.CHECK_FUNCS('link readlink symlink realpath snprintf vsnprintf')
    conf.CHECK_FUNCS('asprintf vasprintf setenv unsetenv strnlen strtoull __strtoull')
    conf.CHECK_FUNCS('strtouq strtoll __strtoll strtoq')
    conf.CHECK_FUNCS('if_nametoindex strerror_r')
    conf.CHECK_FUNCS('getdirentries getdents syslog')
    conf.CHECK_FUNCS('gai_strerror get_current_dir_name')
    conf.CHECK_FUNCS('timegm getifaddrs freeifaddrs mmap setgroups setsid')
    conf.CHECK_FUNCS('getgrent_r getgrgid_r getgrnam_r getgrouplist getpagesize')
    conf.CHECK_FUNCS('getpwent_r getpwnam_r getpwuid_r epoll_create')

    conf.CHECK_FUNCS_IN('dlopen dlsym dlerror dlclose', 'dl',
                        checklibc=True, headers='dlfcn.h dl.h')

    conf.CHECK_C_PROTOTYPE('dlopen', 'void *dlopen(const char* filename, unsigned int flags)',
                           define='DLOPEN_TAKES_UNSIGNED_FLAGS', headers='dlfcn.h dl.h')

    conf.CHECK_FUNCS_IN('fdatasync', 'rt', checklibc=True)
    conf.CHECK_FUNCS_IN('clock_gettime', 'rt', checklibc=True)

    # these headers need to be tested as a group on freebsd
    conf.CHECK_HEADERS(headers='sys/socket.h net/if.h', together=True)
    conf.CHECK_HEADERS(headers='netinet/in.h arpa/nameser.h resolv.h', together=True)
    conf.CHECK_FUNCS_IN('res_search', 'resolv', checklibc=True,
                        headers='netinet/in.h arpa/nameser.h resolv.h')

    conf.CHECK_FUNCS_IN('gettext', 'intl', checklibc=True, headers='libintl.h')
    conf.CHECK_FUNCS_IN('pthread_create', 'pthread', checklibc=True, headers='pthread.h')

    conf.CHECK_FUNCS_IN('crypt', 'crypt', checklibc=True)

    conf.CHECK_VARIABLE('rl_event_hook', define='HAVE_DECL_RL_EVENT_HOOK', always=True,
                        headers='readline.h readline/readline.h readline/history.h')

    conf.CHECK_DECLS('snprintf vsnprintf asprintf vasprintf')

    conf.CHECK_DECLS('errno', headers='errno.h', reverse=True)
    conf.CHECK_DECLS('environ getgrent_r getpwent_r', reverse=True, headers='pwd.h grp.h')
    conf.CHECK_DECLS('pread pwrite setenv setresgid setresuid', reverse=True)

    conf.CHECK_SIZEOF('char int "long long" long off_t short size_t ssize_t')
    conf.CHECK_SIZEOF('dev_t ino_t time_t')
    conf.CHECK_SIZEOF('void*', define='SIZEOF_VOID_P')

    if conf.CONFIG_SET('HAVE_EPOLL_CREATE') and conf.CONFIG_SET('HAVE_SYS_EPOLL_H'):
        conf.DEFINE('HAVE_EPOLL', 1)

    if not conf.CHECK_CODE('''#define LIBREPLACE_CONFIGURE_TEST_STRPTIME
		       #include "test/strptime.c"''',
                           define='HAVE_STRPTIME',
                           addmain=False,
                           msg='Checking for working strptime'):
        conf.DEFINE('REPLACE_STRPTIME', 1)

    if conf.CONFIG_SET('HAVE_KRB5_H'):
        # Check for KRB5_DEPRECATED handling
        conf.CHECK_CODE('''#define KRB5_DEPRECATED 1
#include <krb5.h>''',
                        'HAVE_KRB5_DEPRECATED_WITH_IDENTIFIER', addmain=False,
                        link=False,
                        msg="Checking for KRB5_DEPRECATED define taking an identifier")

    conf.CHECK_CODE('gettimeofday(NULL, NULL)', 'HAVE_GETTIMEOFDAY_TZ', execute=False)

    conf.CHECK_CODE('#include "test/snprintf.c"',
                    define="HAVE_C99_VSNPRINTF",
                    execute=1,
                    addmain=False,
                    msg="Checking for C99 vsnprintf")

    conf.SAMBA_BUILD_ENV()

    conf.CHECK_CODE('''
		    typedef struct {unsigned x;} FOOBAR;
                    #define X_FOOBAR(x) ((FOOBAR) { x })
                    #define FOO_ONE X_FOOBAR(1)
                    FOOBAR f = FOO_ONE;
                    static const struct {
                        FOOBAR y;
                    } f2[] = {
                        {FOO_ONE}
                    };
                    static const FOOBAR f3[] = {FOO_ONE};
                    ''',
                    define='HAVE_IMMEDIATE_STRUCTURES')

    conf.CHECK_CODE('mkdir("foo",0777)', define='HAVE_MKDIR_MODE', headers='sys/stat.h')

    conf.CHECK_STRUCTURE_MEMBER('struct stat', 'st_mtim.tv_nsec', define='HAVE_STAT_TV_NSEC',
                                headers='sys/stat.h')
    # we need the st_rdev test under two names
    conf.CHECK_STRUCTURE_MEMBER('struct stat', 'st_rdev',
                                define='HAVE_STRUCT_STAT_ST_RDEV',
                                headers='sys/stat.h')

=== lib/tdb/wscript ===
#!/usr/bin/env python

APPNAME = 'tdb'
VERSION = '1.2.3'

blddir = 'bin'

import sys, os

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = '../' + srcdir
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import wafsamba, samba_dist, Options, Logs

samba_dist.DIST_DIRS('lib/tdb:. lib/replace:lib/replace buildtools:buildtools')

def set_options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.BUNDLED_EXTENSION_DEFAULT('tdb', noextension='tdb')
    opt.RECURSE('lib/replace')
    if opt.IN_LAUNCH_DIR():
        opt.add_option('--disable-python',
                       help=("disable the pytdb module"),
                       action="store_true", dest='disable_python', default=False)


def configure(conf):
    conf.RECURSE('lib/replace')

    conf.env.standalone_tdb = conf.IN_LAUNCH_DIR()

    if not conf.env.standalone_tdb:
        if conf.CHECK_BUNDLED_SYSTEM('tdb', minversion=VERSION,
                                     implied_deps='replace'):
            conf.define('USING_SYSTEM_TDB', 1)

    conf.env.disable_python = getattr(Options.options, 'disable_python', False)

    conf.CHECK_XSLTPROC_MANPAGES()

    if not conf.env.disable_python:
        # also disable if we don't have the python libs installed
        conf.check_tool('python')
        conf.check_python_version((2,4,2))
        conf.check_python_headers(mandatory=False)
        if not conf.env.HAVE_PYTHON_H:
            Logs.warn('Disabling pytdb as python devel libs not found')
            conf.env.disable_python = True

    conf.SAMBA_CONFIG_H()

def build(bld):
    bld.RECURSE('lib/replace')

    COMMON_SRC = bld.SUBDIR('common',
                            '''check.c error.c tdb.c traverse.c
                            freelistcheck.c lock.c dump.c freelist.c
                            io.c open.c transaction.c''')

    if not bld.CONFIG_SET('USING_SYSTEM_TDB'):
        bld.SAMBA_LIBRARY('tdb',
                          COMMON_SRC,
                          deps='replace',
                          includes='include',
                          abi_file='ABI/tdb-%s.sigs' % VERSION,
                          abi_match='tdb_*',
                          hide_symbols=True,
                          vnum=VERSION, is_bundled=not bld.env.standalone_tdb)

        bld.SAMBA_BINARY('tdbtorture',
                         'tools/tdbtorture.c',
                         'tdb',
                         install=False)

        bld.SAMBA_BINARY('tdbdump',
                         'tools/tdbdump.c',
                         'tdb', manpages='manpages/tdbdump.8')

        bld.SAMBA_BINARY('tdbbackup',
                         'tools/tdbbackup.c',
                         'tdb',
                         manpages='manpages/tdbbackup.8')

        bld.SAMBA_BINARY('tdbtool',
                         'tools/tdbtool.c',
                         'tdb', manpages='manpages/tdbtool.8')

    s4_build = getattr(bld.env, '_SAMBA_BUILD_', 0) == 4

    bld.SAMBA_PYTHON('pytdb',
                     'pytdb.c',
                     deps='tdb',
                     enabled=not bld.env.disable_python,
                     realname='tdb.so')

    if bld.env.standalone_tdb:
        bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
        bld.PKG_CONFIG_FILES('tdb.pc', vnum=VERSION)
        bld.INSTALL_FILES('${INCLUDEDIR}', 'include/tdb.h', flat=True)


def test(ctx):
    '''run tdb testsuite'''
    import Utils
    cmd = os.path.join(Utils.g_module.blddir, 'tdbtorture')
    os.system(cmd)

def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()

## ldb 0.9.10~git20100203

=== debian/changelog ===
ldb (1:0.9.10~git20100203-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.8.4.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 03 Feb 2010 16:16:48 +0100

ldb (1:0.9.10~git20091212-1) unstable; urgency=low

  * New upstream version.
  * Depend on libtdb-dev rather than tdb-dev.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Dec 2009 22:04:36 +0100

ldb (1:0.9.6~git20090912-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Sep 2009 23:34:22 +0200

ldb (1:0.9.6~git20090718-2) unstable; urgency=low

  * Remove unused patch.
  * Bump standards version to 3.8.3.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Sep 2009 22:49:46 +0200

ldb (1:0.9.6~git20090718-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.8.2.
  * Link Python modules only against necessary libraries.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jul 2009 10:55:47 +0200

ldb (1:0.9.6~git20090617-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.8.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 17 Jul 2009 20:37:51 +0200

ldb (1:0.9.3~git20090221-1) unstable; urgency=low

  * New upstream snapshot.
  * Switch to python-central.
  * Add dummy watch file explaining how to obtain an upstream tarball.
  * Build against tevent.
  * Compile with -Wl,--as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 01 Jan 2009 06:47:33 +0100

ldb (1:0.9.2~git20080616-1) unstable; urgency=low

  * Fix version number accidently messed up by typo earlier.
  * Fix copyright listing.
  * Fix dependency of python-ldb on libc.

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 27 Jul 2008 15:58:54 +0200

ldb (0.92~git20080616-1) unstable; urgency=low

  * New upstream snapshot.
  * Add patch to remove dependency on events lib in pkg-config file, 
    which is not packaged yet.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 16 Jun 2008 21:00:43 +0200

ldb (0.9.2~git20080615-1) unstable; urgency=low

  * Add dependency on tdb-dev to libldb-dev.
  * New upstream snapshot.
  * Bump standards version to 3.8.0.

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 15 Jun 2008 19:26:38 +0200

ldb (0.9.2~git20080520-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 20 May 2008 02:54:45 +0200

ldb (0.9.2~git20080122-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 22 Jan 2008 16:50:02 +0100

ldb (0.9.1~svn26291-1) unstable; urgency=low

  * Set Vcs-Svn field.
  * Fix building twice in a row. (Closes: #442625)
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 04 Dec 2007 19:47:13 +0100

ldb (0.9.1~svn26185-1) unstable; urgency=low

  * Improve long description a bit. (Closes: #438657)
  * Set homepage field.
  * New upstream snapshot.
  * Add python-ldb package.
  * Allow Debian Maintainer uploads.

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 25 Nov 2007 16:29:17 +0000

ldb (0.9.0-2) unstable; urgency=low

  * Put libldb-dev in libdevel section. (Closes: #427582)
  * Don't build shared version of ldbadd. (Closes: #427527)
  * Use ${binary:Version} rather than obsolete ${Source-Version}.

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 06 Jun 2007 22:59:28 +0200

ldb (0.9.0-1) unstable; urgency=low

  * Initial release. (Closes: #421573)

 -- Jelmer Vernooij <jelmer@samba.org>  Fri, 04 May 2007 12:39:19 +0200

=== debian/control ===
Source: ldb
Section: devel
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>> 5.0.0), libtdb-dev (>= 1.1.3~git20081222-2), libtalloc-dev (>= 1.1.0~), libtevent-dev (>= 0.9.6~), pkg-config, libpopt-dev, docbook-xsl, docbook-xml, xsltproc, python-dev, python-central (>= 0.5.6)
Homepage: http://ldb.samba.org/
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/pkg-samba/trunk/ldb
XS-Python-Version: all

Package: libldb0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LDAP-like embedded database - shared library
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 It provides a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the shared library file.

Package: ldb-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LDAP-like embedded database - tools
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 What ldb does is provide a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains bundled test and utility binaries

Package: libldb-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libldb0 (= ${binary:Version}), libtalloc-dev, pkg-config, libtdb-dev, ${misc:Depends}
Description: LDAP-like embedded database - development files
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 What ldb does is provide a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the development files.

Package: python-ldb
Section: python
Architecture: any
Depends: ${python:Depends}, libldb0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for LDB
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 This package contains the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g -Wall 
LDFLAGS = -Wl,--as-needed
SHLD_FLAGS = -shared $(LDFLAGS)

version=$(shell dpkg-parsechangelog -l$(CURDIR)/debian/changelog | sed -n 's/^Version: \(.*:\|\)//p' | sed 's/-[0-9.]\+$$//' | sed 's/~.\+$$//')

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

DESTDIR=$(CURDIR)/debian/tmp

configure: configure-stamp
configure-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --with-ldap=no
	touch configure-stamp

get-orig-source:
	./debian/build-orig.sh

build: configure build-stamp
build-stamp:
	dh_testdir
	$(MAKE) all build-python LDFLAGS="$(LDFLAGS)" SHLD_FLAGS="$(SHLD_FLAGS)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(DESTDIR)
	# Don't install ldbtest
	rm -f $(DESTDIR)/usr/bin/ldbtest
	ln -s libldb.so.$(version) $(DESTDIR)/usr/lib/libldb.so.0
	ln -s libldb.so.0 $(DESTDIR)/usr/lib/libldb.so
	dh_install --fail-missing --list-missing --sourcedir=$(DESTDIR)

binary-indep: 
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs 
	dh_installman
	dh_installexamples
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_pycentral
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# ldb is maintained in git, and there are currently no upstream tarballs
# "./debian/rules get-orig-source" will fetch the current snapshot from git

## ldb 0.9.13~git20100908

=== debian/changelog ===
ldb (1:0.9.13~git20100908-2ubuntu1) maverick; urgency=low

  * Merge in new upstream snapshot, required for Samba 4. (LP: #636400)
  * Support talloc 2.0.1 (version available in Maverick).

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Mon, 13 Sep 2010 15:11:46 +0200

ldb (1:0.9.13~git20100908-2) experimental; urgency=low

  * Support tdb 1.2.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 10 Sep 2010 17:17:40 +0200

ldb (1:0.9.13~git20100908-1) experimental; urgency=low

  * New upstream snapshot.
  * Support older versions of tdb.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 08 Sep 2010 03:53:47 +0200

ldb (1:0.9.13~git20100820-1) experimental; urgency=low

  * New upstream snapshot.
    + Builds against system default Python rather than most recent supported
      python. Closes: #577436.
  * Bump standards version to 3.9.1.
  * Switch to Bazaar.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 22 Aug 2010 15:18:28 +0200

ldb (1:0.9.12~git20100615-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 15 Jun 2010 20:25:26 +0200

ldb (1:0.9.11~git20100531-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 31 May 2010 14:03:40 +0200

ldb (1:0.9.10~git20100531-1) experimental; urgency=low

  * New upstream snapshot, switch back to waf.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 24 May 2010 16:54:59 +0200

ldb (1:0.9.10~git20100522-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 23 May 2010 15:50:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: ldb
 Section: devel
 Priority: optional
-Maintainer: Jelmer Vernooij <jelmer@debian.org>
-Build-Depends: debhelper (>> 5.0.0), libtdb-dev (>= 1.1.3~git20081222-2), libtalloc-dev (>= 1.1.0~), libtevent-dev (>= 0.9.6~), pkg-config, libpopt-dev, docbook-xsl, docbook-xml, xsltproc, python-dev, python-central (>= 0.5.6)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Build-Depends: debhelper (>> 5.0.0), libtdb-dev (>= 1.2.1~), libtalloc-dev (>= 2.0.1~), libtevent-dev (>= 0.9.9~), pkg-config, libpopt-dev, docbook-xsl, docbook-xml, xsltproc, python-dev, python-central (>= 0.5.6)
 Homepage: http://ldb.samba.org/
-Standards-Version: 3.8.4
-Vcs-Svn: svn://svn.debian.org/pkg-samba/trunk/ldb
+Standards-Version: 3.9.1
+Vcs-Svn: http://bzr.debian.org/pkg-samba/ldb/experimental
 XS-Python-Version: all
 
 Package: libldb0

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

DESTDIR=$(CURDIR)/debian/tmp

configure: configure-stamp
configure-stamp:
	dh_testdir
	./autogen-waf.sh
	PYTHON=`which python` PYTHON_CONFIG=`which python-config` CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --disable-rpath --disable-rpath-install \
		--bundled-libraries=NONE \
		--minimum-library-version=tdb:1.2.1,talloc:2.0.1
	touch configure-stamp

get-orig-source:
	./debian/build-orig.sh

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: configure
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(DESTDIR)
	rm -f $(DESTDIR)//usr/lib/python*/*-packages/tdb.so
	ar cr $(DESTDIR)/usr/lib/libldb.a bin/default/common/*.o
	# Don't install ldbtest
	rm -f $(DESTDIR)/usr/bin/ldbtest
	rm -f $(DESTDIR)/usr/lib/libpyldb-util.so
	dh_install --fail-missing --list-missing --sourcedir=$(DESTDIR)

binary-indep: 
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs 
	dh_installman
	dh_installexamples
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_pycentral
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure
